<!DOCTYPE html>
<html>
  <head>
    <meta charset="UTF-8" />

    <meta name="viewport" content="width=device-width, initial-scale=1.0" />

    <title>Masinutze</title>
    <link rel="stylesheet" type="text/css" href="index.css" />
  </head>

  <body>
    <div class="content">
      <h2>Achiziționare Autoturism</h1>

      <div class="brand">
        <label for="marca"></label>
        <input placeholder="Marcă" type="text" id="brand" name="brand" />
      </div>
      <div class="cp">
        <label for="cp"></label>
        <input placeholder="CP" type="text" id="cp" name="cp" />
      </div>
      <div class="color">
        <label for="culoare"></label>
        <input placeholder="Culoare" type="text" id="color" name="color" />
      </div>
      <div class="capacity">
        <label for="capacitateMotor"></label>
        <input
          placeholder="Capacitate Motor"
          type="text"
          id="capacity"
          name="capacity"
        />
      </div>
      <div class="submit-button">
        <input type="submit" name="submit" id="buy" value="Achiziționează!" />
      </div>
    </div>
    <script src="https://unpkg.com/axios/dist/axios.min.js"></script>
    <script type="text/javascript">
      document.querySelector("#buy").addEventListener(
        "click",
        event => {
          event.preventDefault();
          const masina = {
            marca: document.querySelector("#brand").value,
            cp: document.querySelector("#cp").value,
            culoare: document.querySelector("#color").value,
            capacitateMotor: document.querySelector("#capacity").value
          };
          console.log(masina);
          axios
            .post("/masina", masina)
            .then(res => {
              console.log("Masina cumparata!");
            })
            .catch(err => {
              console.log(err);
            });
        },
        false
      );
    </script>
  </body>
</html>
